<section id="social-v1">
   <section class="pb-4">
      <div class="bg-white border rounded-5">
         <section class="p-4 d-flex justify-content-center w-100" style="background-color: #fbfbfb; border-radius: .5rem .5rem 0 0;">
            <!--Section: Newsfeed-->
            <section class='post-wrapper'>
               <div class="card" style="max-width: 42rem">
                  <div class="card-body">
                     <!-- Data -->
                     <div class="d-flex mb-3">
                        <a href="">
                        <img src="https://mdbcdn.b-cdn.net/img/new/avatars/18.webp" class="border rounded-circle me-2" alt="Avatar" style="height: 40px">
                        </a>
                        <div>
                           <a href="" class="text-dark mb-0">
                           <strong>Anna Dtmloe</strong>
                           </a>
                           <a href="" class="text-muted d-block" style="margin-top: -6px">
                           <small>10h</small>
                           </a>
                        </div>
                     </div>
										<% if post.expert_opinion? %>
											<div>
												<strong>
													<%= post.title %>
												</strong>
											</div>
										<% end %>	
                     <!-- Description -->
                     <div>
                        <p>
                          <%= post.description %>
                        </p>
                     </div>
                  </div>
                  <!-- Media -->
                  <div class="bg-image hover-overlay ripple rounded-0" data-mdb-ripple-color="light">
                     <!-- <img src="https://mdbcdn.b-cdn.net/img/new/standard/people/077.webp" class="w-100"> -->
                     <% post.files.each do |file| %>
                       <% if file.variable? %>
                         <%= image_tag file.variant(resize: "400x400") %>
                       <% elsif file.previewable? %>
                         <%= image_tag file.preview(resize: "400x400"), rails_blob_path(file, disposition: :attachment) %>
                       <% else %>
                         <%= link_to file.filename, rails_blob_path(file, disposition: :attachment) %>
                       <% end %>
                     <% end %>
                     <a href="#!">
                        <div class="mask" style="background-color: rgba(251, 251, 251, 0.2)"></div>
                     </a>

                  <% if post.clip.attached?  %>
                     <video
                      id="my-video"
                      class="video-js"
                      controls
                      preload="auto"
                      width="540"
                      height="264"
                      poster="MY_VIDEO_POSTER.jpg"
                      data-setup="{}"
                    >
                      <!-- <source src="MY_VIDEO.mp4" type="video/mp4" /> -->
                      <source src="<%= url_for(post.clip) %>" type="video/webm" />
                    </video>
                  <% end %>

                  </div>
                  <!-- Media -->
                  <!-- Interactions -->
                  <div class="card-body">
                     <!-- Reactions -->
                     <div class="d-flex justify-content-between mb-3">
                        <div>
                           <a href="">
                           <i class="fas fa-thumbs-up text-primary"></i>
                           <i class="fas fa-heart text-danger"></i>
                           <span id="post-<%= post.id %>-likes-count"><%=post.likes.count %></span>
                           </a>
                        </div>
                        <div>
                           <a href="" class="text-muted" id="post-<%= post.id %>-comments-count"> <%= post.comments.count %> comments </a>
                        </div>
                     </div>
                     <!-- Reactions -->
                     <!-- Buttons -->
                     <div class="d-flex justify-content-between text-center border-top border-bottom mb-4">

                        <div id="post-<%= post.id %>-like-dislike-card">
                          <%= render partial: 'likes/post_like_dislike', locals: {post: post, class_to_add='col-md-6'} %>
                        </div>  

                        <button type="button" class="btn btn-link btn-sm" data-mdb-ripple-color="dark">
                        <i class="fas fa-comment-alt me-2"></i>Comment
                        </button>
                        <button type="button" class="btn btn-link btn-sm" data-mdb-ripple-color="dark">
                        <i class="fas fa-share me-2"></i>Share
                        </button>
                     </div>
                     <!-- Buttons -->
                     <!-- Comments -->
                     <!-- Input -->
                     <div class="d-flex mb-3">
                        <a href="">
                        <img src="https://mdbcdn.b-cdn.net/img/new/avatars/18.webp" class="border rounded-circle me-2" alt="Avatar" style="height: 40px">
                        </a>
                        <div class="form-outline w-100">
                            <%= form_with(model: [post, Comment.new], remote: true) do |f| %>
                              <div class="form-group">
                                <%= f.text_area :content, class: 'form-control parent-comment-text', placeholder: 'Write a comment...' %>
                                <%= f.hidden_field :commentable_type, value: 'Post' %>
                                <%= f.hidden_field :commentable_id, value: post.id %>
                              </div>
                              <%= f.submit 'Post', class: 'btn btn-primary btn-sm mt-2', required: true %>
                            <% end %>
                           <!-- <textarea class="form-control" id="textAreaExample" rows="2"></textarea> -->
                           <!-- <label class="form-label" for="textAreaExample" style="margin-left: 0px;">Write a comment</label> -->
                           <div class="form-notch">
                              <div class="form-notch-leading" style="width: 9px;"></div>
                              <div class="form-notch-middle" style="width: 104.8px;"></div>
                              <div class="form-notch-trailing"></div>
                           </div>
                        </div>
                     </div>
                     <!-- Input -->
                     <!-- Answers -->
                     <!-- Single answer -->
                     <div id="post-<%= post.id %>-comments">
                       <% post.comments.parent_comments.order('created_at DESC').each do |comment| %>
                        <%= render :partial => 'comments/comment', locals: {comment: comment, post: post} %>
                       <% end %>
                      </div> 
                     <!-- Answers -->
                     <!-- Comments -->
                  </div>
                  <!-- Interactions -->
               </div>
            </section>
            <!--Section: Newsfeed-->
         </section>
      </div>
   </section>
</section>